# Agenda



## Synchronisation avec les agendas électroniques

::: .warning

La synchronisation avec les agendas électroniques distants est optionnelle et n'est pas active sur toutes les instances.

Pour l'instant, seule une synchronisation avec les agendas de Microsoft Office 365 est possible.

:::

<! -- TODO note pour l'administrateur: les utilisateurs doivent avoir la même adresse email que celle utilisée dans Office 365 -->

### Depuis Chill vers l'agenda distant

Chill permet de synchroniser les rendez-vous sur les agendas distants des utilisateurs. Lorsque cette fonctionnalité est activée:

* chaque plage de disponibilité dans Chill est recopiée dans l'agenda distant de l'utilisateur qui l'a créée;
* chaque rendez-vous créé dans Chill est copié dans l'agenda distant de l'utilisateur principal du rendez-vous;
* lorsqu'un utilisateur est invité à un rendez-vous, une invitation est également générée dans l'agenda distant de l'utilisateur invité.
* lorsqu'un utilisateur répond à une invitation dans Chill, cette réponse est également transférée dans l'agenda distant de l'utilisateur invité.

### Depuis l'agenda distant vers Chill

Chill permet également de synchroniser des modifications effectuée depuis un agenda distant:

* lorsqu'un utilisateur change l'horaire d'une plage de disponibilité ou la supprime depuis l'agenda distant, la modification est répercutée dans Chill: l'horaire de la plage est modifiée ou, si c'est le cas, elle est supprimée (pour autant qu'elle ne soit pas liée à un rendez-vous);
* lorsqu'un utilisateur déplace l'horaire d'un rendez-vous, la modification est également enregistrée dans Chill: l'horaire du rendez-vous est modifié. 

  Le rendez-vous est alors marqué comme "modifié" dans Chill.

* lorsqu'un utilisateur supprime un rendez-vous dans l'agenda distant, Chill marque le rendez-vous comme "annulé". Il n'indique cependant pas de motif pour l'annulation;
* lorsqu'un utilisateur répond à une invitation depuis son agenda distant, cette information est également enregistrée;
* si un utilisateur invite un autre utilisateur de Chill depuis l'agenda distant, cet utilisateur est également ajouté aux "TMS concernés" du rendez-vous.

Il n'est pas possible de créer un rendez-vous depuis l'agenda distant, en dehors de Chill, et que ce rendez-vous soit enregistré automatiquement dans Chill dans le dossier d'un usager ou d'un parcours.

::: .note

**Bon à savoir**

Seule une partie des informations sont reprises depuis l'agenda distant:

* l'heure de début et de fin du rendez-vous ou de la plage;
* l'éventuelle suppression de la plage;
* et la réponse à une invitation.

En particulier, les modifications dans la description du rendez-vous, ou la localisation ne sont pas enregistrées dans Chill.

De même, seule la suppression du rendez-vous provoque l'annulation dans Chill. Certains agendas offrent ensuite la possibilité de rétablir un événement déjà annulé, mais cela n'est pas supporté dans Chill: il est nécessaire de re-créer un rendez-vous depuis l'interface de Chill.

:::

